Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
Mr Black
@lip177891840
here is my problem:
I want to reload result table only by using Ajax when clicking the "Filter" button,
and I have no idea how to make it ,
518.PNG
✪ vi4m Marcin Kliks
@vi4m
@supaflyster yeah, that's what i think.. some settings missing
Jungle93
@Jungle93
which version the django-debug-toolbar specified?it seems not so good to get from a git commit .
Roman Prykhodchenko
@romcheg
@mkurek could you please merge this one allegro/ralph#3039 ?
Christopher
@ni-christopher
Hi all - I have a problem with populating the "is_active" and /or "is_staff" attribute of the actual django user object while using django-auth-ldap. I narrowed it down to the fact, that Ralph is catching up the populate_user.send() event and reverts the values from django-auth-ldap (which are defined by the Setting AUTH_LDAP_USER_FLAGS_BY_GROUP).
Does someone had the same problem? Is there a Ralph setting which could result in such problem?
Christopher
@ni-christopher
@vi4m Hi. I'm about to start a new Issue according to LDAP Authentication with OpenLDAP. Would be great if you could take a look and may have an Idea, whats the problem.
✪ vi4m Marcin Kliks
@vi4m
sure, go ahead @ni-christopher. It seems we need more data
to analyze your particular problem. Do you have one?
Christopher
@ni-christopher
The main problem is the "active" flag after the user creation. If the user got synced by the OpenLDAP, the active flag is unset.
I played around with MappedGroupOfNamesType and tried to map the user-group against the Ralph-Group. But this doesn't work either.
Because of our OpenLDAP does not have any memberOfAttribute at the User level.
The behavior is, that the user is being created and synced with the LDAP but not able to login.
✪ vi4m Marcin Kliks
@vi4m
@mkurek it seems like you know a bit about this part of codebase? any ideas?
Christopher
@ni-christopher
If I turn off AUTH_LDAP_ALWAYS_UPDATE_USER and set the active flag or add the user to the activeGroup, the User is able to log in. But thats no option for us :(
Christopher
@ni-christopher
Sorry - closed the wrong browser window :P
pyja
@vipsql
mod = import_module(mod_path)
File "/mnt/data1/bigdata/ralph/ralph_test/env_3.4.3/lib/python3.4/importlib/init.py", line 109, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "<frozen importlib._bootstrap>", line 2254, in _gcd_import
File "<frozen importlib._bootstrap>", line 2237, in _find_and_load
File "<frozen importlib._bootstrap>", line 2226, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 1200, in _load_unlocked
File "<frozen importlib._bootstrap>", line 1129, in _exec
File "<frozen importlib._bootstrap>", line 1471, in exec_module
File "<frozen importlib._bootstrap>", line 321, in _call_with_frames_removed
File "/mnt/data1/bigdata/ralph/ralph_test/env_3.4.3/lib/python3.4/site-packages/ralph-3.0.0-py3.4.egg/ralph/notifications/apps.py", line 5, in <module>
from ralph.notifications.sender import send_notification_for_model
File "/mnt/data1/bigdata/ralph/ralph_test/env_3.4.3/lib/python3.4/site-packages/ralph-3.0.0-py3.4.egg/ralph/notifications/sender.py", line 8, in <module>
from metrology import Metrology
File "/mnt/data1/bigdata/ralph/ralph_test/env_3.4.3/lib/python3.4/site-packages/metrology/init.py", line 1, in <module>
from metrology.registry import registry
File "/mnt/data1/bigdata/ralph/ralph_test/env_3.4.3/lib/python3.4/site-packages/metrology/registry.py", line 6, in <module>
from metrology.instruments import Counter, Derive, Meter, Timer, UtilizationTimer, HistogramUniform
File "/mnt/data1/bigdata/ralph/ralph_test/env_3.4.3/lib/python3.4/site-packages/metrology/instruments/init.py", line 2, in <module>
from metrology.instruments.counter import Counter
File "/mnt/data1/bigdata/ralph/ralph_test/env_3.4.3/lib/python3.4/site-packages/metrology/instruments/counter.py", line 1, in <module>
from atomic import AtomicLong
File "/mnt/data1/bigdata/ralph/ralph_test/env_3.4.3/lib/python3.4/site-packages/atomic/init.py", line 32, in <module>
""")
File "/mnt/data1/bigdata/ralph/ralph_test/env_3.4.3/lib/python3.4/site-packages/cffi/api.py", line 438, in verify
lib = self.verifier.load_library()
File "/mnt/data1/bigdata/ralph/ralph_test/env_3.4.3/lib/python3.4/site-packages/cffi/verifier.py", line 114, in load_library
self._compile_module()
File "/mnt/data1/bigdata/ralph/ralph_test/env_3.4.3/lib/python3.4/site-packages/cffi/verifier.py", line 211, in _compile_module
outputfilename = ffiplatform.compile(tmpdir, self.get_extension())
File "/mnt/data1/bigdata/ralph/ralph_test/env_3.4.3/lib/python3.4/site-packages/cffi/ffiplatform.py", line 20, in compile
outputfilename = _build(tmpdir, ext, compiler_verbose, debug)
File "/mnt/data1/bigdata/ralph/ralph_test/env_3.4.3/lib/python3.4/site-packages/cffi/ffiplatform.py", line 56, in _build
raise VerificationError('%s: %s' % (e.class.name, e))
cffi.error.VerificationError: CompileError: command 'gcc' failed with exit status 1
install in centos6.4
is error
✪ vi4m Marcin Kliks
@vi4m
Is gcc installed ?
You should install gcc and cffi-dev
There is an ongoing work towards removing this dependency, but it isn't merged yet
pyja
@vipsql
gcc and cffi-devel is installed
gcc and cffi-devel is installed bu it's not effict
✪ vi4m Marcin Kliks
@vi4m
@vipsql try the latest version from ng branch - I've merged removal of metrology
Should do the job
pyja
@vipsql
@vi4m thanks i will task it after
Michael Cone
@mrmikee
Anyone have success running Ralph3 on Ubuntu 16.04? 14.04 is way too old for new installs at our company.
Mateusz Kurek
@mkurek
@mrmikee did you try to install it or you're just asking? :)
✪ vi4m Marcin Kliks
@vi4m
AFAIK it should work
✪ vi4m Marcin Kliks
@vi4m
@mkurek we should fine-tune it for 16.04 because it doesn't work - tried and got errors:
Zrzut ekranu 2017-05-30 o 14.06.50.png
some sort of python issue :-/
because simply running 'python' make the same error
Mateusz Kurek
@mkurek
what python version is there? 3.6?
Jim Ntosas
@purplexss
i installed it without probs in ubuntu 16.04, i just needed to install python v3.4 instead of ubuntu-repos-python which is v3.5+
✪ vi4m Marcin Kliks
@vi4m
I guess we should not ship python in the package, because setting path for Ralph package executes "embedded" python
Zrzut ekranu 2017-05-30 o 14.08.56.png
Jim Ntosas
@purplexss
yy ^^
✪ vi4m Marcin Kliks
@vi4m
@purplexss did you use Debian package or source repository?
Jim Ntosas
@purplexss
i used debian package
✪ vi4m Marcin Kliks
@vi4m
how do you run Ralph ? simply ralph ?
Jim Ntosas
@purplexss
y thats right ^
✪ vi4m Marcin Kliks
@vi4m
and what's your PATH then ?
Jim Ntosas
@purplexss
let me check
export PATH=/opt/ralph/ralph-core/bin/:$PATH ---> @ ~/.profile
i used debian package but for python v3.4
i override the ubuntu-repos for python
✪ vi4m Marcin Kliks
@vi4m
what Ralph-core version do you have ?
Jim Ntosas
@purplexss
1.8.18